curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseComponent": {
"status": "active",
"course": {
"sourcedId": "<string>"
},
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"courseComponent": {
"sourcedId": "<string>"
},
"parent": {
"sourcedId": "<string>"
},
"sortOrder": 1,
"prerequisites": [
"<string>"
],
"prerequisiteCriteria": "<string>",
"unlockDate": "2021-01-01T00:00:00.000Z"
}
}
'{}To update an existing Course Component. The sourcedId for the record to be updated is supplied by the requesting system.
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseComponent": {
"status": "active",
"course": {
"sourcedId": "<string>"
},
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"courseComponent": {
"sourcedId": "<string>"
},
"parent": {
"sourcedId": "<string>"
},
"sortOrder": 1,
"prerequisites": [
"<string>"
],
"prerequisiteCriteria": "<string>",
"unlockDate": "2021-01-01T00:00:00.000Z"
}
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the course component to update
Represents a component of a course.
Show child attributes
Course Component Updated Successfully
The response is of type object.